#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAD,0x64,0xD6,0x2A,0xDA,0x05,0x61,0x05,0x44,0x96,0xB4,0xDB,
		0xCA,0xAC,0xF8,0x0B,0x2C,0x99,0x14,0xC4,0x75,0x02,0xD7,0x1D,
		0x85,0x2C,0xF8,0x72,0xAA,0xC6,0x21,0x22,0x03,0xFB,0x3F,0x39,
		0xE2,0x48,0xC7,0xF6,0x74,0x1D,0x10,0xEB,0x2C,0xDF,0x6F,0x9F,
		0xE4,0x9F,0xCB,0xF7,0xEE,0xC3,0x53,0xEE,0x2F,0x19,0xCE,0x10,
		0xB3,0x7F,0x00,0xA3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
